org.apache.solr.client.solrj.request

## Class StreamingUpdateRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<UpdateResponse>
  - - org.apache.solr.client.solrj.request.AbstractUpdateRequest
    - - org.apache.solr.client.solrj.request.StreamingUpdateRequest

All Implemented Interfaces:
  Serializable, IsUpdateRequest

    public class StreamingUpdateRequest
    extends AbstractUpdateRequest

A simple update request which streams content to the server

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`AbstractUpdateRequest.ACTION`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`commitWithin, params`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`StreamingUpdateRequest(String path, File f, String contentType)`
`StreamingUpdateRequest(String path, RequestWriter.ContentWriter contentWriter)`
`StreamingUpdateRequest(String path, String content, String contentType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestWriter.ContentWriter` `getContentWriter(String expectedType)` If a request object wants to do a push write, implement this method.

### Methods inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest

`createResponse, getAction, getCommitWithin, getParams, isWaitSearcher, rollback, setAction, setAction, setAction, setAction, setAction, setAction, setAction, setCommitWithin, setParam, setParams, setWaitSearcher`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, setBasePath, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StreamingUpdateRequest

    public StreamingUpdateRequest(String path,
                                  RequestWriter.ContentWriter contentWriter)

#### StreamingUpdateRequest

    public StreamingUpdateRequest(String path,
                                  String content,
                                  String contentType)

#### StreamingUpdateRequest

    public StreamingUpdateRequest(String path,
                                  File f,
                                  String contentType)

### Method Detail

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<UpdateResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format